Calendar occurrences for vehicles within a date range.
Transportial OTMS API (0.9.74)
Welcome to the Transportial API. It's the full API access for the OTMS Transportatial application. Every feature that is available (and more) in the UI is available here. It's our mission to facilitate open, fast, enterprise grade architecture for transportation.
TransportEquipment are the items to be transported as part of a consignment. TransportEquipment can be divided into two sub-types of transportEquipment, depending on the use case and the level of detail. TransportEquipment either consists of items, describing the actual transportEquipment to be transported. Or a transport equipment, which is equipment used to carry the actual transportEquipment to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
Goods are the items to be transported as part of a consignment. Goods can be divided into two sub-types of goods, depending on the use case and the level of detail. Goods either consists of items, describing the actual goods to be transported. Or a transport equipment, which is equipment used to carry the actual goods to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
Events - like actions - model dynamic entities that couple various static entities at a certain moment in time. Events are used for either real-time updates, or updates on earlier provided data. Notice that in both event types these are updates on earlier provided data, whereas actions are usually used together with the entities they dynamically couple.
- Mock serverhttps://docs.transportial.com/_mock/apis/actor/{id}
- Test environmenthttps://test.api.otms.transportial.com/api/actor/{id}
- Productionhttps://api.otms.transportial.com/api/actor/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/actor/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "actor": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "user": {}, "identifiers": [ … ], "contactDetails": [ … ] } }
- Mock serverhttps://docs.transportial.com/_mock/apis/actor/{id}
- Test environmenthttps://test.api.otms.transportial.com/api/actor/{id}
- Productionhttps://api.otms.transportial.com/api/actor/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://docs.transportial.com/_mock/apis/actor/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "actor": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "user": {}, "identifiers": [ … ], "contactDetails": [ … ] } }
Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
- Mock serverhttps://docs.transportial.com/_mock/apis/actor
- Test environmenthttps://test.api.otms.transportial.com/api/actor
- Productionhttps://api.otms.transportial.com/api/actor
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://docs.transportial.com/_mock/apis/actor \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"user": {},
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"contactDetails": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "iban",
"value": "string",
"remarks": "string"
}
]
}'{ "success": true, "message": "string", "code": 0, "actor": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "user": {}, "identifiers": [ … ], "contactDetails": [ … ] } }
- Mock serverhttps://docs.transportial.com/_mock/apis/actor
- Test environmenthttps://test.api.otms.transportial.com/api/actor
- Productionhttps://api.otms.transportial.com/api/actor
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.transportial.com/_mock/apis/actor \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"nonce": "string",
"name": "string",
"user": {
"nonce": "string",
"hasAgreedToPrice": true,
"type": "user",
"username": "string",
"avatar": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"firstName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"password": "string",
"passwordModified": "2019-08-24T14:15:22Z",
"twoFactorAuthentication": true,
"totdSecret": "string",
"recoveryCodes": [
"string"
],
"status": "DELETED",
"loginMethod": "DEFAULT",
"role": {
"nonce": "string",
"name": "string",
"level": 0,
"permissions": [
{
"nonce": "string",
"name": "string",
"read": true,
"write": true,
"delete": true,
"permissionScope": "PUBLIC",
"isObjectPermission": true
}
],
"specifiedPlatformId": "string"
},
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"activeAdministration": {
"nonce": "string",
"name": "string",
"primary": true,
"business": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"relationType": "string",
"alias": "string",
"description": "string",
"transportLicenseNumber": "string",
"eori": "string",
"scacCode": "string",
"industry": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"abbreviated": "string",
"enabled": true
},
"website": "string",
"coc": "string",
"vat": "string",
"invoiceAttentionTo": "string",
"invoiceEmail": "string",
"quoteAttentionTo": "string",
"quoteEmail": "string",
"verified": true,
"documents": [
{
"associationType": "inline",
"entity": {
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {},
"content": {},
"file": {
"identifiers": []
},
"identifiers": [
null
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
}
],
"logo": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"banners": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"language": {}
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
null
]
]
}
],
"locations": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "warehouse",
"name": "string",
"unCode": "string",
"geoReference": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "addressGeoReference",
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string",
"hash": "string"
},
"administrativeReference": {
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string"
},
"contactDetails": [
{
"language": {}
}
],
"openingTimes": {
"monday": {},
"tuesday": {},
"wednesday": {},
"thursday": {},
"friday": {},
"saturday": {},
"sunday": {}
},
"terminal": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"integrationType": "portbase",
"ean": "string",
"bicsCode": "string",
"quayName": "string",
"smdgCode": "string",
"locations": [
{}
],
"allowedModalities": [
null
],
"terminalSettings": [
null
],
"tarRequired": true,
"roadLicenseIdRequired": true
},
"actions": [
{
"language": {},
"externalAttributes": {},
"identifiers": [],
"actions": [],
"communicationRequests": [],
"documents": [],
"contextEvents": [],
"attributes": [],
"constraints": []
}
],
"constraints": [
{
"language": {}
}
],
"pricingElements": [
{
"language": {},
"business": {}
}
],
"remark": "string",
"hash": "string",
"identifiers": [
{
"language": {}
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"dataIsComplete": true
}
],
"identification": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"language": {}
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
null
]
]
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"contactDetails": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "iban",
"value": "string",
"remarks": "string"
}
],
"contactPersons": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
}
],
"notes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"author": {},
"name": "string",
"text": "string"
}
],
"partOf": [
{}
],
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"bankAccounts": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"accountHolderName": "string",
"accountHolderType": "string",
"bankName": "string",
"routingNumber": "string",
"accountNumber": "string",
"last4": "string",
"currency": {},
"country": "string",
"validation": {},
"validated": true,
"identifiers": [
null
]
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoicePaidMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"quoteSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"quoteTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"transportOrderTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"dataIsComplete": true,
"pricingConfigurationCount": 0,
"hasAgreedToPrice": true
},
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"balance": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"bankAccounts": [
{
"nonce": "string",
"routingNumber": "string",
"accountNumber": "string",
"last4": "string",
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"country": "string",
"validation": {
"nonce": "string",
"firstValue": 0.1,
"secondValue": 0.1
},
"validated": true,
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"accountHolderName": "string",
"accountHolderType": "string",
"bankName": "string"
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string",
"type": "messageAutomation",
"notes": [
{}
]
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string",
"type": "messageAutomation",
"notes": [
{}
]
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string",
"type": "messageAutomation",
"notes": [
{}
]
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string",
"type": "messageAutomation",
"notes": [
{}
]
},
"invoicePaidMessageAutomation": {
"nonce": "string",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string",
"type": "messageAutomation",
"notes": [
{}
]
},
"quoteSendMessageAutomation": {
"nonce": "string",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string",
"type": "messageAutomation",
"notes": [
{}
]
},
"invoiceTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"quoteTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"transportOrderTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"invoiceStandardDocuments": [
{
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {
"associationType": "inline"
},
"content": {
"contentType": "data",
"data": "string"
},
"file": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
],
"quoteStandardDocuments": [
{
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {
"associationType": "inline"
},
"content": {
"contentType": "data",
"data": "string"
},
"file": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
],
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"transportOrderPrefix": "string",
"consignmentPrefix": "string"
},
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"accountType": "default",
"standardLoadingSize": 10,
"notes": [
{}
],
"businesses": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"relationType": "string",
"alias": "string",
"description": "string",
"transportLicenseNumber": "string",
"eori": "string",
"scacCode": "string",
"industry": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"abbreviated": "string",
"enabled": true
},
"website": "string",
"coc": "string",
"vat": "string",
"invoiceAttentionTo": "string",
"invoiceEmail": "string",
"quoteAttentionTo": "string",
"quoteEmail": "string",
"verified": true,
"documents": [
{
"associationType": "inline",
"entity": {
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {},
"content": {},
"file": {
"identifiers": []
},
"identifiers": [
null
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
}
],
"logo": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"banners": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"language": {}
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
null
]
]
}
],
"locations": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "warehouse",
"name": "string",
"unCode": "string",
"geoReference": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "addressGeoReference",
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string",
"hash": "string"
},
"administrativeReference": {
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string"
},
"contactDetails": [
{
"language": {}
}
],
"openingTimes": {
"monday": {},
"tuesday": {},
"wednesday": {},
"thursday": {},
"friday": {},
"saturday": {},
"sunday": {}
},
"terminal": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"integrationType": "portbase",
"ean": "string",
"bicsCode": "string",
"quayName": "string",
"smdgCode": "string",
"locations": [
{}
],
"allowedModalities": [
null
],
"terminalSettings": [
null
],
"tarRequired": true,
"roadLicenseIdRequired": true
},
"actions": [
{
"language": {},
"externalAttributes": {},
"identifiers": [],
"actions": [],
"communicationRequests": [],
"documents": [],
"contextEvents": [],
"attributes": [],
"constraints": []
}
],
"constraints": [
{
"language": {}
}
],
"pricingElements": [
{
"language": {},
"business": {}
}
],
"remark": "string",
"hash": "string",
"identifiers": [
{
"language": {}
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"dataIsComplete": true
}
],
"identification": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"language": {}
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
null
]
]
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"contactDetails": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "iban",
"value": "string",
"remarks": "string"
}
],
"contactPersons": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
}
],
"notes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"author": {},
"name": "string",
"text": "string"
}
],
"partOf": [
{}
],
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"bankAccounts": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"accountHolderName": "string",
"accountHolderType": "string",
"bankName": "string",
"routingNumber": "string",
"accountNumber": "string",
"last4": "string",
"currency": {},
"country": "string",
"validation": {},
"validated": true,
"identifiers": [
null
]
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoicePaidMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"quoteSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"quoteTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"transportOrderTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"dataIsComplete": true,
"pricingConfigurationCount": 0,
"hasAgreedToPrice": true
}
],
"features": [
{
"name": "string",
"accountTypes": [
"default"
]
}
],
"timezone": "string",
"vehicleGroups": [
{
"nonce": "string",
"name": "string",
"vehicles": [
{}
]
}
]
},
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"contactDetails": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "iban",
"value": "string",
"remarks": "string"
}
]
}'{ "success": true, "message": "string", "code": 0, "actor": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "user": {}, "identifiers": [ … ], "contactDetails": [ … ] } }
- Mock serverhttps://docs.transportial.com/_mock/apis/actors/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/actors/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/actors/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/actors/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "actors": [ { … } ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/actors/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/actors/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/actors/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.transportial.com/_mock/apis/actors/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "actors": [ { … } ] }